class 'l_05_Journalist' (PlayField)

function l_05_Journalist:__init(game_scene, name)
    PlayField.__init(self, game_scene, name)
	self.is_outdoor_scene = true
	
	self.glint:addIgnoreOnHighlight('area_click_giws_with_element')
    self.glint:addIgnoreOnHighlight('area_click_giws')

	-- link scenes ---------------------------------
    self:linkScene('area_link_2', 'CursorDown', '02_Passage')
    self:linkScene('area_link_6', 'CursorUp', '06_Tiger_room')
    self:entityHide('area_click_foto')
    
    --if not IsToolFound('05_cutting_pliers') then
        obj3d = Load3DObject('Data/3D/raven_journalist.ERS3D')--Raven_body_low_poly_doubled002
        obj3d:attachTo(self:getPanel():getControlsPanel():getEntityNamed('raven_anchor'))
        raven3D = obj3d:getEntityNamed('Raven_body_low_poly_doubled002')
        anim  = Load3DAnimation('Data/3D/raven_journalist.ERS3DA');
        raven3D:getSkeleton():setAnimation(anim)
	    raven3D:setVisible(false)
    --end
    
    self:getEntityNamed('compositionclow_act'):stop()
    self:getEntityNamed('composition_brush'):stop()

	-- zoom zones ----------------------------------
	self:getEntityNamed('composition_earth'):stop()
	self:getEntityNamed('composition_earth'):setVisible(false)
	
	--- Giws glow -------------------------------------------------------
		self:getEntityNamed('giws_glow'):setVisible(false)
		self:getEntityNamed('giws_glow'):setOpacity(0) 
		self:getEntityNamed('giws_glow_2'):setOpacity(0) 
		local time_glow=1
		self:getEntityNamed('giws_glow'):ChangeOpacity(0,0.9,time_glow)
		self:getEntityNamed('giws_glow_2'):ChangeOpacity(0,0.9,time_glow)
		self:getEntityNamed('giws_give_element'):ChangeOpacity(1,0.9,time_glow)
		self.timer:add(function() 
								if self:getEntityNamed('giws_glow'):getOpacity()==0 then
									self:getEntityNamed('giws_glow'):ChangeOpacity(0,0.9,time_glow) 	 
									self:getEntityNamed('giws_glow_2'):ChangeOpacity(0,0.9,time_glow) 
									self:getEntityNamed('giws_give_element'):ChangeOpacity(0.9,1,time_glow-0.3)
								else
									self:getEntityNamed('giws_glow'):ChangeOpacity(0.9,0,time_glow)
									self:getEntityNamed('giws_glow_2'):ChangeOpacity(0.9,0,time_glow) 	
									self:getEntityNamed('giws_give_element'):ChangeOpacity(1,0.9,time_glow-0.3)
								end
							end,time_glow+0.5,true)
	
	
	-- show fly picture ----------------------------------------------------------------------
	local function on_click_foto(e)
		if not e.save then
			self:showFlyPicture('foto_big','foto_bg')
		end
	end
	self:registerActiveObject('area_click_foto', on_click_foto, true)
	self:getEntityNamed('area_click_foto'):setCursorOverName('CursorGlass')
	
	-- apply brush ----------------------------------------------------------------------------------
	local function on_apply_brush(e)
	    self:entityHide('area_apply_brush')	    
	    self:entityHide('area_bbt_glow')
	    
	    local function apply_brush_cutscene()
            self:entityShow('area_click_giws','area_click_foto')
            self:entityHide('compositionclow_idle')
            self:playSound('ghost_appearing')
            self:getEntityNamed('compositionclow_act'):play()
            self:showCutsceneBars(2)
            self.timer:add(function()
                AddGameState('05_CUTSCENE_WAS_SHOWN', 'true')
                self:getEntityNamed('giws_glow'):setVisible(true)
                self.mouseBlocker:pop()
            end, self:getEntityNamed('compositionclow_act'):getDuration())    
	    end
	    
	    if e.save then
			self:getEntityNamed('giws_glow'):setVisible(true)
	        self:entityShow('compositionclow_act')
	        self:getEntityNamed('compositionclow_act'):rewind(true)
	        self:entityHide('composition_brush')
	        self:entityHide('compositionclow_idle')
	        self:entityShow('area_click_giws','area_click_foto')
	        if not HasGameState('05_CUTSCENE_WAS_SHOWN') then
	            self.mouseBlocker:push()	    
	            apply_brush_cutscene()
	        end
	    else
	        self:playSound('05_apply_brush_sound')   
	        self:getEntityNamed('composition_brush'):play()
	        self.mouseBlocker:push()	        
	        self.timer:add(function()
                apply_brush_cutscene()
	        end, self:getEntityNamed('composition_brush'):getDuration())
	    end
	end
	self:registerToolApplyInfo('00_dust_brush', 'area_apply_brush', on_apply_brush, 'BBT_05_NEED_BRUSH')
	
	-- click Giws --------------------------------------------------------------------------------------
    local function on_click_giws(e)
        self:entityHide('area_apply_brush')
        self:entityHide('area_click_giws')
        self:getEntityNamed('giws_glow'):setVisible(false)
        self:getEntityNamed('compositionclow_idle'):hide()
        self:getEntityNamed('compositionclow_act'):stop()
		self:getEntityNamed('compositionclow_act'):setActive(false)
        self:getEntityNamed('compositionclow_act'):setVisible(false)
        if e.save then
            --[[if not isSceneVisited('06_Tiger_room') then
                self:entityShow('area_link_6')
                local idle_portal_video = CreateVideoEntity('Data/Video/Scenes/05_Journalist/idle_portal.webm', true)
                idle_portal_video:attachTo(self:getMainEntity())
                idle_portal_video:setName('idle_portal_video')
                idle_portal_video:setLooped(true)
                idle_portal_video:setRespondable(false)
                idle_portal_video:setXY(792, 268)
                idle_portal_video:setOrder(1)
                self:entityShow('portal')
                self:playSound('portal_idle', true)
                AddGameState('RavenElementFound', 'GROUND')
            end--]]
            self:addNote('Note_05_Giws')            
            --AddGameState('05_Journalist_First_Show_Minigames', 'true')                
            self:entityShow('giws_give_element')
            self:entityShow('area_click_giws_with_element')
            self:getEntityNamed('composition_earth'):play()
            self:getEntityNamed('composition_earth'):setVisible(true)
        else
            local start_comics = self:createComics('Giws')
            
            start_comics.on_frame_show = function(index)
                start_comics:getCurrentFrame():getEntityNamed('Giws_'..index):setSoftEdgesSize(Vector2f(50, 50))
            end
        
            start_comics.on_finish = function()
                self:addNote('Note_05_Giws')
                self:getEntityNamed('giws_glow'):hide()
                --AddGameState('05_Journalist_First_Show_Minigames', 'true')                
                self:entityShow('giws_give_element')
                self:entityShow('area_click_giws_with_element')
                self:getEntityNamed('composition_earth'):play()
	            self:getEntityNamed('composition_earth'):setVisible(true)
				self:getEntityNamed('compositionclow_act'):stop()
				self:getEntityNamed('compositionclow_act'):setActive(false)
				self:getEntityNamed('compositionclow_act'):setVisible(false)
            end
        
            start_comics:start()
        end
    end
    self:registerActiveObject('area_click_giws', on_click_giws, false, 'CursorGlass')
    
    if self:isComicsShown('05_Journalist_Giws') and not HasGameState('RavenElementFound', 'GROUND') then
        self:entityShow('giws_give_element')
        self:entityShow('area_click_giws_with_element')
    end
    
    -- click Giws element ---------------------------------------------------------------------------
    local function on_click_giws_element(e)   
			self:getEntityNamed('area_click_giws_with_element'):hide()
        self:getEntityNamed('compositionclow_act'):getElementByName('Layer_3'):setOpacity(0)
        self:getEntityNamed('composition_earth'):stop()
	    self:getEntityNamed('composition_earth'):setVisible(false)
        if e.save then
            if not HasGameState('LOC_6_COMPLETED') then
                self:entityHide('giws_give_element')
                self:getEntityNamed('idle_portal_video'):setVisible(true)
                self:getEntityNamed('idle_portal_video'):setActive(true)
               -- self:entityShow('ghost_open_portal_video')
               -- self:getEntityNamed('ghost_open_portal_video'):setActive(true)
                --self:getEntityNamed('ghost_open_portal_video'):decodeLastFrame()
                self:entityShow('ghost_open_idle')
                self:getEntityNamed('ghost_open_idle'):setVisible(true)
                self:getEntityNamed('ghost_open_idle'):setActive(true)
                self:getEntityNamed('ghost_open_idle'):play()
                self:playSound('portal_idle', true)                
                self:entityShow('portal')    
                self:entityShow('area_link_6')  
            end
        else
            self.mouseBlocker:push()
            AddGameState('05_Journalist_First_Show_Minigames', 'true')
            createRavenGroundMgScreen()
        end
    end        
    self:registerActiveObject('area_click_giws_with_element', on_click_giws_element)
    self:registerBBT('area_bbt_glow', 'BBT_05_GLOW', nil, nil, true)
    
    -- AFTER RETURN FROM LOC 6 -----------------------------------------------------------------------------------------
    if HasGameState('LOC_6_COMPLETED') then
        self:getEntityNamed('compositionBG'):getElementByName('Layer_17'):setOpacity(0)
        self:entityHide('area_link_6'--[[,'area_click_foto'--]],'ghost_open_idle','portal','idle_portal_video',--[['foto_bg',--]]'giws_give_element')
        self:entityShow('paper_small','dog_part_1','area_find_dog_part_1','cover_grave')
        self:stopSound('portal_idle')   
        self:getEntityNamed('text_b_2'):setText(StringManager:getString('BBT_05_FOTO_3'))
        if not HasGameState('LOC_5_PAPER_APPEARED') then 
            if HasGameState('MapExceptionBackFromZoo') then
                RemoveGameState('MapExceptionBackFromZoo', 'true')
            end           
            local node = path_manager:findNode(NodeType.SCENE, '03_Worker') 
            if node then
                node:setState(NodeState.ENABLED)
            end
            AddGameState('LOC_5_PAPER_APPEARED', 'true')
            self:getEntityNamed('anim_paper_show'):show()
            self:getEntityNamed('anim_paper_show'):play()
            self:entityHide('paper_small','dog_part_1','area_find_dog_part_1')
            self.timer:add(function()
                self:getEntityNamed('anim_paper_show'):stop()
                self:getEntityNamed('anim_paper_show'):hide() 
                self:entityShow('paper_small','dog_part_1','area_find_dog_part_1')   
            end, 2)            
        end
    end
    
    -- find dog part 1 ---------------------------------------------------------------------------
    local function on_find_dog_part_1(e)
        self:entityHide('dog_part_1')
        self:entityShow('area_click_paper')
    end
    self:registerToolFindInfo('05_dog_part_1', 'area_find_dog_part_1', on_find_dog_part_1)
    
    -- show fly picture ----------------------------------------------------------------------
    local function on_click_paper(e)
        if not e.save then
            self:addNote('Note_05_Journalist_Alive')
            self:showFlyPicture('paper_big','paper_small', nil, false)
        end
    end
    self:registerActiveObject('area_click_paper', on_click_paper, true)	 
    
    -- AFTER RETURN FROM LOC 24 -----------------------------------------------------------------------------------------
    if HasGameState('LOC_24_COMPLETED') then      
        self:entityShow('area_zoom_Statue')
    end
    
    do 
        self.zoom_statue = self:createZoomZone('Statue') 
        
        -- apply raven to find pliers ------------------------------------------------------------------------
        local function on_apply_raven(e)
            self:entityHide('area_apply_raven')
            self.zoom_statue:closeAndDisable()
            if e.save then
                --self:entityHide('banana')
                if not IsToolFound('05_cutting_pliers') then
                    self:findTool('05_cutting_pliers')
                    --obj3d:destroy()
                end
                obj3d:destroy()
                self:getPanel():getControlsPanel():getEntityNamed('bttn_raven'):setOpacity(1)           
                self:getPanel():getControlsPanel():getEntityNamed('bttn_raven'):setRespondable(true)
                self:getPanel():getControlsPanel():getEntityNamed('bttn_notes'):setRespondable(true)                
            else
                self.mouseBlocker:push()
                local calc_sound = CreateSoundTrack('Data/Sounds/Scenes/01_Hina/raven_calcification.ogg')
	            calc_sound:attachTo( self:getMainEntity() )
                calc_sound:play()
                local organic_video = self:getPanel():getControlsPanel():getEntityNamed('organic_sand')
                self:getPanel():getControlsPanel():getEntityNamed('bttn_raven'):setRespondable(false)
                self:getPanel():getControlsPanel():getEntityNamed('bttn_notes'):setRespondable(false)
                self:getPanel():getControlsPanel():getEntityNamed('bttn_raven'):setOpacity(0)
                organic_video:setActive(true)
                organic_video:stop()
                organic_video:play()
                organic_video:setVisible(true)
                self.timer:add(function()
                    self:playSound('05_apply_raven_sound')
                    --self:entityHide('banana')
                    raven3D:setVisible(true)                 
                    --self.timer:add(function()                        
	                    raven3D:play()
	                --end, 0.2)
                        self:getEntityNamed('05_anim_fly_tool'):setVisible(true)
                        self:getEntityNamed('05_anim_fly_tool'):setActive(true)
                        self:getEntityNamed('05_anim_fly_tool'):play()
                end, organic_video:getDuration() - 0.1)
                self.timer:add(function()
                    self:findTool('05_cutting_pliers')                     
                    obj3d:destroy()
                    self:getPanel():getControlsPanel():stoneRaven('Ground')
                    --self:entityHide(raven_video:getName())
                end, --[[raven_video:getDuration()--]] 240/24 + organic_video:getDuration())
                self.timer:add(function()            
                   self:getPanel():getControlsPanel():getEntityNamed('bttn_notes'):setRespondable(true)                
                   self.mouseBlocker:pop() 
                end, --[[raven_video:getDuration()--]]240/24 + 2* organic_video:getDuration() )       
            end
        end	
        self:registerRavenObject('area_apply_raven', on_apply_raven, 'ground')		 
    end
    
end

function l_05_Journalist:onHintObject(object, is_proper, priority, additional_obj)
    if object:getName() == 'area_apply_brush' then
        return false, priority, additional_obj
    end
	return is_proper, priority, additional_obj
end

function l_05_Journalist:onUpdate(dt)
    if HasGameState('05_Journalist_Minigame_closed') and not HasGameState('LOC_6_COMPLETED') then
        RemoveGameState('05_Journalist_Minigame_closed')
        self.mouseBlocker:pop()
        self:playSound('portal_start')
        self:entityShow('ghost_open_portal_video')
        self:getEntityNamed('ghost_open_portal_video'):setRespondable(false)
        self:entityHide('giws_give_element')
        self:getEntityNamed('ghost_open_portal_video'):setActive(true)
        self:getEntityNamed('start_portal_video'):setVisible(true)
        self:getEntityNamed('start_portal_video'):setActive(true)            
        self.timer:add(function()
            self:entityHide('start_portal_video')
            self:getEntityNamed('idle_portal_video'):setVisible(true)
            self:getEntityNamed('idle_portal_video'):setActive(true)
            
			self:getEntityNamed('ghost_open_portal_video'):stop()
			self:getEntityNamed('ghost_open_portal_video'):setActive(false)
            self:getEntityNamed('ghost_open_portal_video'):setVisible(false)
            
			self:getEntityNamed('ghost_open_idle'):setVisible(true)
			self:getEntityNamed('ghost_open_idle'):setActive(true)
            self:getEntityNamed('ghost_open_idle'):play()
            
            self:playSound('portal_idle', true)                
            self:entityShow('portal')           
        end, self:getEntityNamed('start_portal_video'):getDuration())
        self.timer:add(function()
             self:entityShow('area_link_6')  
        end, self:getEntityNamed('start_portal_video'):getDuration() + 2)
    end    
end
--------------------------------------------------------------------------------
--                      GENERATED CONTENT. DO NOT EDIT.                       --
--------------------------------------------------------------------------------

function l_05_Journalist:CreateLoaderTable()
	local objects =
	{
		{ name = 'bg',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 0,  editingLocked = true,  treeItemIsExpanded = true,  hotSpotX = 683, hotSpotY = 384,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/bg.jpg',  width = 1366,  height = 768,  },
		{ name = '05_Journalist_Anim_Bg',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Bg.lua',  },
		{ name = 'compositionBG',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Bg',  x = 0,  y = 0,  order = 0,  editingLocked = true,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = 'area_link_2',  entityType = 'SpriteEntity',  x = 512,  y = 704,  order = 0,  scaleX = 10,  scaleY = 1.5,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'paper_small',  entityType = 'SpriteEntity',  x = 430,  y = 576,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/paper_small.png',  width = 102,  height = 64,  },
		{ name = 'dog_part_1',  entityType = 'SpriteEntity',  x = 452,  y = 565,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/dog_part_main.png',  width = 66,  height = 42,  },
		{ name = 'area_find_dog_part_1',  entityType = 'SpriteEntity',  x = 438,  y = 578,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'area_click_paper',  entityType = 'SpriteEntity',  x = 438,  y = 578,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'paper_big',  entityType = 'SpriteEntity',  x = 523,  y = 381,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/paper_big.png',  width = 548,  height = 768,  },
		{ name = 'newspaper_text_1',  entityType = 'TextEntity',  parentName = 'paper_big',  x = 146,  y = -54,  order = 0,  isRespondable = false,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_05_NEWSPAPER_1',  font = 'Data/Fonts/cyrillic.fnt',  height = 25,  boundsX = 220,  boundsY = 0,  alignment = TextEntity.ETextHorizontalAlignmentLeft,  },
		{ name = 'newspaper_text_2',  entityType = 'TextEntity',  parentName = 'paper_big',  x = 10,  y = 137,  order = 0,  isRespondable = false,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_05_NEWSPAPER_2',  font = 'Data/Fonts/cyrillic.fnt',  height = 25,  boundsX = 500,  boundsY = 0,  alignment = TextEntity.ETextHorizontalAlignmentLeft,  },
		{ name = 'newspaper_title',  entityType = 'TextEntity',  parentName = 'paper_big',  x = 1,  y = -291,  order = 0,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 1},  editingLocked = false,  treeItemIsExpanded = false,  localizationKey = 'BBT_05_NEWSPAPER_TITLE',  font = 'Data/Fonts/cyrillic.fnt',  height = 40,  },
		{ name = '05_Journalist_Anim_Paper_show',  entityType = 'CompositionContainer',  x = 0,  y = 0,  order = 0,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Paper_show.lua',  },
		{ name = 'anim_paper_show',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Paper_show',  x = -13,  y = 17,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'cover_grave',  entityType = 'SpriteEntity',  x = 269,  y = 356,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/cover_grave.png',  width = 230,  height = 310,  },
		{ name = '05_Journalist_Anim_Fly_Tool',  entityType = 'CompositionContainer',  x = -171,  y = 0,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Fly_Tool.lua',  },
		{ name = '05_anim_fly_tool',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Fly_Tool',  x = 0,  y = 0,  order = 0,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'giws_give_element',  entityType = 'SpriteEntity',  x = 582,  y = 259,  order = 1,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  hotSpotX = 115, hotSpotY = 150,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/giws_give_element.png',  width = 230,  height = 500,  },
		{ name = 'giws_glow_2',  entityType = 'SpriteEntity',  parentName = 'giws_give_element',  x = 0,  y = 0,  order = 0,  isRespondable = false,  editingLocked = true,  treeItemIsExpanded = true,  hotSpotX = 115, hotSpotY = 150,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/giws_give_element.png',  width = 230,  height = 500,  },
		{ name = 'foto_bg',  entityType = 'SpriteEntity',  x = 316,  y = 394,  order = 1,  isRespondable = false,  editingLocked = true,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/foto_bg.png',  width = 86,  height = 112,  },
		{ name = 'text_small',  entityType = 'TextEntity',  parentName = 'foto_bg',  x = -1,  y = 14,  order = 0,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 0.509804},  editingLocked = true,  treeItemIsExpanded = false,  localizationKey = 'BBT_05_FOTO',  font = 'Data/Fonts/cyrillic.fnt',  height = 8,  boundsX = 50,  boundsY = 0,  },
		{ name = 'text_small_2',  entityType = 'TextEntity',  parentName = 'foto_bg',  x = -1,  y = 20,  order = 0,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 0.509804},  editingLocked = true,  treeItemIsExpanded = false,  localizationKey = 'BBT_05_FOTO_2',  font = 'Data/Fonts/cyrillic.fnt',  height = 5,  boundsX = 40,  boundsY = 0,  },
		{ name = 'ghost_open_portal_video',  entityType = 'VideoEntity',  x = 601,  y = 413,  order = 1,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Video/Scenes/05_Journalist/ghost_open_portal_video.webm',  hasAlpha = true,  isLooped = false,  },
		{ name = 'giws_glow',  entityType = 'SpriteEntity',  x = 581,  y = 370,  order = 2,  isVisible = false,  isRespondable = false,  scaleX = 1.2,  scaleY = 1.23,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/02_Passage/Layers/giws.png',  width = 179,  height = 396,  },
		{ name = '05_Journalist_Anim_Glow',  entityType = 'CompositionContainer',  x = 0,  y = 0,  order = 3,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Glow.lua',  },
		{ name = 'compositionclow_act',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Glow',  x = 0,  y = 0,  order = 0,  isVisible = false,  editingLocked = true,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'compositionclow_idle',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Glow',  x = 0,  y = 0,  order = 0,  editingLocked = true,  treeItemIsExpanded = false,  isCyclic = true,  speed = 1,  },
		{ name = '05_Journalist_Anim_Medallion',  entityType = 'CompositionContainer',  x = 582,  y = 259,  order = 5,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Medallion.lua',  },
		{ name = 'composition_earth',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Medallion',  x = -582,  y = -270,  order = 5,  editingLocked = false,  treeItemIsExpanded = true,  speed = 1,  },
		{ name = 'ghost_open_idle',  entityType = 'VideoEntity',  x = 625,  y = 413,  order = 5,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Video/Scenes/05_Journalist/ghost_open_idle.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'portal',  entityType = 'SpriteEntity',  x = 791,  y = 265,  order = 10,  isVisible = false,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/portal.png',  width = 189,  height = 342,  },
		{ name = 'start_portal_video',  entityType = 'VideoEntity',  x = 792,  y = 268,  order = 11,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Video/Scenes/05_Journalist/start_portal.webm',  hasAlpha = true,  isLooped = false,  },
		{ name = 'idle_portal_video',  entityType = 'VideoEntity',  x = 792,  y = 268,  order = 14,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = false,  path = 'Data/Video/Scenes/05_Journalist/idle_portal.webm',  hasAlpha = true,  isLooped = true,  },
		{ name = 'area_click_giws',  entityType = 'SpriteEntity',  x = 532,  y = 191,  order = 20,  isVisible = false,  isRespondable = false,  scaleX = 1.9,  scaleY = 4.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = true,  hotSpotX = 50, hotSpotY = 20,  width = 100,  height = 100,  },
		{ name = 'area_apply_brush',  entityType = 'SpriteEntity',  x = 308,  y = 454,  order = 20,  scaleX = 2.4,  scaleY = 3,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_link_6',  entityType = 'SpriteEntity',  x = 789,  y = 265,  order = 30,  isVisible = false,  isRespondable = false,  scaleX = 2.2,  scaleY = 3.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_bbt_glow',  entityType = 'SpriteEntity',  x = 558,  y = 318,  order = 31,  scaleX = 2.4,  scaleY = 3.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_zoom_Statue',  entityType = 'SpriteEntity',  x = 622,  y = 266,  order = 31,  isVisible = false,  isRespondable = false,  isActive = false,  scaleX = 2.4,  scaleY = 3.8,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = 'area_click_giws_with_element',  entityType = 'SpriteEntity',  x = 545,  y = 370,  order = 50,  isVisible = false,  isRespondable = false,  scaleX = 2,  scaleY = 4.5,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = false,  treeItemIsExpanded = true,  width = 100,  height = 100,  },
		{ name = '05_Journalist_Anim_Brush',  entityType = 'CompositionContainer',  x = 0,  y = 0,  order = 50,  editingLocked = false,  treeItemIsExpanded = true,  path = 'Data/Scripts/Scenes/05_Journalist/Anim/05_Journalist_Anim_Brush.lua',  },
		{ name = 'composition_brush',  entityType = 'CompositionSequence',  parentName = '05_Journalist_Anim_Brush',  x = -171,  y = 0,  order = 0,  isRespondable = false,  editingLocked = true,  treeItemIsExpanded = false,  speed = 1,  },
		{ name = 'area_click_foto',  entityType = 'SpriteEntity',  x = 315,  y = 393,  order = 200,  color = {r = 1, g = 1, b = 1, a = 0.00392157},  editingLocked = true,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Common/Area_Round.png',  width = 128,  height = 128,  },
		{ name = 'foto_big',  entityType = 'SpriteEntity',  x = 512,  y = 384,  order = 200,  isVisible = false,  isRespondable = false,  isActive = false,  editingLocked = false,  treeItemIsExpanded = true,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/foto_big.png',  width = 514,  height = 576,  },
		{ name = 'text_b',  entityType = 'TextEntity',  parentName = 'foto_big',  x = 1,  y = 80,  order = 0,  isRespondable = false,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 0.705882},  editingLocked = false,  treeItemIsExpanded = true,  localizationKey = 'BBT_05_FOTO',  font = 'Data/Fonts/cyrillic.fnt',  height = 45,  boundsX = 230,  boundsY = 0,  },
		{ name = 'point',  entityType = 'SpriteEntity',  parentName = 'foto_big',  x = 41,  y = 117,  order = 0,  isRespondable = false,  scale = 0.8,  color = {r = 1, g = 1, b = 1, a = 0.470588},  editingLocked = true,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/point.png',  width = 6,  height = 6,  },
		{ name = 'text_b_2',  entityType = 'TextEntity',  parentName = 'foto_big',  x = -3,  y = 140,  order = 10,  isRespondable = false,  color = {r = 0.00392157, g = 0.00392157, b = 0.00392157, a = 0.705882},  editingLocked = false,  treeItemIsExpanded = true,  localizationKey = 'BBT_05_FOTO_2',  font = 'Data/Fonts/cyrillic.fnt',  height = 24,  boundsX = 220,  boundsY = 0,  },
		{ name = 'spice_over',  entityType = 'SpriteEntity',  x = 179,  y = 522,  order = 0,  isRespondable = false,  editingLocked = false,  treeItemIsExpanded = false,  texturePath = 'Data/Textures/Scenes/05_Journalist/Layers/spice_over.png',  width = 32,  height = 147,  },
	}
	return objects
end
